Skip to content
Gowd Platform Production

List pending PIX key claims

GET
/order/v1/banking/accounts/{accountId}/keys/claims

List PIX key claims pending resolution involving this account, either as claimer or as donor (when another PSP is requesting a key currently linked to this account).

accountId
required
string format: uuid

Identifier of the account

The resource was returned successfully

object
data
required
Array<object>
object
claimId
required

Identifier of the claim

string
key
required

PIX key targeted by the claim

string
keyType
required

Type of the PIX key

string
claimType
required

PORTABILITY or CLAIM_OWNERSHIP

string
status
required

Status of the claim

string
participationFlow
required

CLAIMER (this account is requesting the key) or DONOR (this account currently holds the key)

string
resolutionDeadline
required

Deadline for the donor to confirm or cancel the claim

string
claimerFinalizationDeadline
required

Deadline for the claimer to conclude the claim once the donor has confirmed it (JDPI does not do this automatically). Only meaningful when participationFlow is CLAIMER.

string
object
error
string
Example
INVALID_REQUEST
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[
{
"field": "field_name",
"issue": "INVALID",
"description": "Field is invalid"
}
]

Unauthorized Request

object
error
string
Example
UNAUTHORIZED
message
string
Example
Unauthorized Request
details
Array<object>
object
field
string
issue
string
description
string
Example
[]
object
error
string
Example
INTERNAL_ERROR
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]